package gomod

import (
	"fmt"
	"html/template"
	"net/http"
)
func Index(w http.ResponseWriter, r *http.Request) {
	r.ParseForm()
	t, err := template.ParseFiles("src/payease_iccdelivery/view/index.html")
	if err != nil {
		fmt.Fprintf(w, "parse template error: %s", err.Error())
		return
	}
	t.Execute(w, nil)
}
//======================================订单妥投======================================================
func Delivery(w http.ResponseWriter, r *http.Request) {
	if r.Method == "GET" {
		t, err := template.ParseFiles("src/payease_iccdelivery/view/iccdelivery/delivery.html")
		if err != nil {
			fmt.Fprintf(w, "parse template error: %s", err.Error())
			return
		}
		t.Execute(w, nil)
	} else {
		DeliveryRequest(w,r)
	}
}

//模拟异步通知POST数据
func DataPost(w http.ResponseWriter, r *http.Request) {
	if r.Method == "GET" {
		t, err := template.ParseFiles("src/payease_iccdelivery/view/post.html")
		if err != nil {
			fmt.Fprintf(w, "parse template error: %s", err.Error())
			return
		}
		t.Execute(w, nil)
	}else{
		PostRequest(w,r)
	}
}