package main
 
import (
	"fmt"
	"payease_iccdelivery/gomod"
//	"log"
	"net/http"
)

func main() {
	fs := http.FileServer(http.Dir("src/payease_iccdelivery/static"))
	http.Handle("/static/", http.StripPrefix("/static/", fs))
	http.HandleFunc("/", gomod.Index)
	
	http.HandleFunc("/delivery", gomod.Delivery)
	
	http.HandleFunc("/post", gomod.DataPost)
	
	err := http.ListenAndServe(":8093", nil)
	if err != nil {
		fmt.Println("ListenAndServe:", err)  
		//log.Fatal("ListenAndServe: ", err)
	}
}